<app-header
    title="Accueil"
    class="pl-20 block has-background-primary"
></app-header>
<ion-content>
    <!-- Search Engine -->
    <ion-row
        class="radius-bl-25 height-75 radius-br-25 has-background-primary ion-padding-vertical px-10 ion-justify-content-center"
    >
        <ion-col class="ion-no-padding">
            <ion-card color="white" class="radius-15 ion-no-margin"
                ><app-search-engine
                    mode="LINK"
                    target="/search"
                ></app-search-engine
            ></ion-card>
        </ion-col>
    </ion-row>
    <ion-grid class="mx-10 mt-90 ion-no-padding">
        <!-- Meetings -->
        <ion-row
            class="ion-align-items-center ion-justify-content-between weight-800 ion-margin-bottom mt-50"
        >
            <ion-col>
                <ion-text class="size-22"> Vos rendez-vous </ion-text>
            </ion-col>
            <ion-col size="auto" *ngIf="list.length !== 0">
                <ion-text class="size-13">
                    <a
                        [routerLink]="['/tabs/meetings']"
                        data-test-id="seemore"
                        class="is-dove-gray"
                        >Voir tout</a
                    >
                </ion-text>
            </ion-col>
        </ion-row>
        <!-- Next booking -->
        <ion-card
            class="home__diary has-background-primary ion-no-margin"
            [ngClass]="{'home__diary--shadow': list.length === 0}"
        >
            <ion-card-header
                *ngIf="list.length !== 0"
                class="ion-padding-top pb-0 px-17"
            >
                <ion-text class="weight-600 size-20" color="light">
                    Prochain rendez-vous
                </ion-text>
            </ion-card-header>
            <ion-card-content class="ion-no-padding">
                <ng-template
                    [ngIf]="list.length === 0"
                    [ngIfElse]="nextBooking"
                >
                    <div class="ion-text-center mt-30">
                        <ion-text
                            color="light"
                            class="home__diary__nodata size-16"
                        >
                            {{messages.noAppointment}}
                        </ion-text>
                    </div>

                    <ion-row
                        class="ion-justify-content-center ion-margin-horizontal"
                    >
                        <ion-col size-xs="10" size-md="8" class="ion-padding">
                            <app-button
                                expand="block"
                                color="light"
                                fill="solid"
                                class="size-13 button--radius-10"
                                routerLink="/search"
                                title="Prendre rendez-vous"
                            >
                            </app-button>
                        </ion-col>
                    </ion-row>
                </ng-template>
                <ng-template #nextBooking>
                    <ion-slides [options]="slideOpts"
                        ><ion-slide
                            class="ion-justify-content-start"
                            *ngFor="let item of list"
                        >
                            <app-appointment
                                class="home__appointment"
                                [item]="item"
                            ></app-appointment>
                        </ion-slide>
                    </ion-slides>
                </ng-template>
            </ion-card-content>
        </ion-card>

        <!-- Specialities -->
        <ion-row
            class="my-20 ion-align-items-center ion-justify-content-between weight-800"
        >
            <ion-col>
                <ion-text class="size-22"> Spécialités </ion-text>
            </ion-col>
            <ion-col size="auto">
                <ion-text class="size-13">
                    <a
                        [routerLink]="['/specialities']"
                        data-testid="see-more-specialities"
                        class="is-dove-gray"
                        >Voir tout</a
                    >
                </ion-text>
            </ion-col>
        </ion-row>
        <!-- List of specialities -->
        <ion-grid
            class="home__specialities ion-text-center ion-no-padding pb-10"
        >
            <ion-row class="ion-nowrap">
                <ion-col
                    size="3"
                    *ngFor="let domain of domains"
                    class="ion-margin-end"
                    [routerLink]="['/specialists']"
                    [queryParams]="{ domainId: domain.id }"
                    [replaceUrl]="true"
                >
                    <app-img
                        [src]="domain.icon"
                        [alt]="domain.name"
                        [title]="domain.name"
                        class="home__domain flex ion-justify-content-center mb-5 height-64 width-64"
                    >
                    </app-img>
                    <ion-label class="weight-600 size-14" color="grey-light">
                        {{domain.fonctionName}}
                    </ion-label>
                </ion-col>
            </ion-row>
        </ion-grid>

        <!--- Choose your doctor -->
        <ion-row
            *ngIf="showDoctors"
            class="mt-10 ion-align-items-center ion-justify-content-between"
        >
            <ion-col>
                <ion-text class="weight-600 size-22"> Praticiens </ion-text>
            </ion-col>
            <ion-col size="auto">
                <ion-text class="weight-800 size-13">
                    <a
                        [routerLink]="['/search']"
                        data-test-id="seemore"
                        class="is-dove-gray"
                        >Voir tout</a
                    >
                </ion-text>
            </ion-col>
        </ion-row>
        <!-- List of doctors -->
        <app-doctorlist
            #doctorlist
            [criteria]="search"
            link="search/detail-doctor"
        ></app-doctorlist>
    </ion-grid>
</ion-content>
<!-- Tabs -->
<ion-footer class="ion-no-border">
    <app-tabs name="kymia" activeTab="home"></app-tabs>
</ion-footer>
